{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
<!-- Content Header (Page header) -->
<div class="content-header">
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="row">

                        <!-- columna 1 -->
                        <div class="col-4">
                            <div class="card">
                                <div class="card-body d-flex justify-content-center">
                                    <img class="card-img-top p-4" src="{% static 'dist/img/pagos.svg' %}"
                                        style="height: 415px; width: 300px;" alt="">
                                </div>
                            </div>
                        </div>
                        <!-- ./columna 1 -->

                        <!-- columna 2 -->
                        <div class="col-8">
                            <!-- general form elements -->
                            <div class="card card-success">
                                <div class="card-header">
                                    <h3 class="card-title">Registro de pagos</h3>
                                </div>
                                <!-- /.card-header -->

                                <!-- form start -->
                                <form method="post" role="form" enctype="multipart/form-data">
                                    {% csrf_token %}
                                    <!-- {{ form.as_p }} -->
                                    <div class="card-body">
                                        <!-- fila 1 -->
                                        <div class="row">
                                            <!-- columna 1 -->
                                            <div class="col-6">
                                                <div class="form-group">
                                                    <label for="id_cliente" class="text-sm text-uppercase text-black"
                                                    style="font-family: Arial, Helvetica, sans-serif;">CLIENTE:</label>
                                                    <i class="fa fa-asterisk badge-warning"></i>
                                                    <select name="cliente" id="id_cliente" class="form-control"
                                                        required>
                                                        <option value="0">Seleccione al cliente..</option>

                                                        {% for item in cliente %}
                                                        <option value="{{ item.id }}" selected>{{ item.nombres }}
                                                            {{ item.ap_paterno }} {{ item.ap_materno }}</option>
                                                        {% endfor %}
                                                    </select>
                                                </div>
                                            </div>
                                            <!-- ./columna 1 -->

                                            <!-- ./columna 2 -->
                                            <div class="col-6">
                                                <div class="form-group">
                                                    <label for="id_concepto" class="text-sm text-uppercase text-black"
                                                    style="font-family: Arial, Helvetica, sans-serif;">CONCEPTO:</label>
                                                    <i class="fa fa-asterisk badge-warning"></i>
                                                    {{ form.concepto }}
                                                </div>
                                            </div>
                                            <!-- ./columna 2 -->
                                        </div>
                                        <!-- ./fila 1 -->

                                        <!-- fila 2 -->
                                        <div class="row">
                                            <!-- columna 1 -->
                                            <div class="col-6">
                                                <div class="form-group">
                                                    <label for="id_total" class="text-black-50">TOTAL:</label>
                                                    {{ form.total }}
                                                </div>
                                            </div>
                                            <!-- ./columna 1 -->

                                            <!-- ./columna 2 -->
                                            <div class="col-6">
                                                <div class="form-group">
                                                    <label for="id_notas" class="text-black-50">NOTAS:</label>
                                                    {{ form.notas }}
                                                </div>
                                            </div>
                                            <!-- ./columna 2 -->
                                        </div>
                                        <!-- ./fila 2 -->

                                        <!-- fila 3 -->
                                        <div class="row">
                                            <div class="col-2"></div>
                                            
                                            <div class="col-8">
                                                <div class="form-group">
                                                    <label for="id_contador" class="text-sm text-uppercase text-black-50"
                                                    style="font-family: Arial, Helvetica, sans-serif;">CONTADOR:</label>
                                                    <i class="fa fa-asterisk badge-warning"></i>
                                                    {{ form.contador }}
                                                </div>
                                            </div>

                                            <div class="col-2"></div>
                                        </div>
                                        <!-- ./fila 3 -->
                                        <!-- /.card-body -->

                                        <div class="card-footer">                                           
                                            <div class="dropdown-divider"></div>
                                            <div class="d-flex justify-content-center">
                                                <button type="submit" class="btn bg-success btn-app">
                                                    <i class="fas fa-save"></i>Guardar
                                                </button>

                                                <button type="reset" class="btn bg-info btn-app">
                                                    <i class="fa fa-window-close"></i>Cancelar
                                                </button>

                                                <a href="{% url 'app_clientes:clientes_list' %}" class="btn btn-app bg-warning">
                                                    <i class="far fa-hand-point-left"></i>Regresar
                                                </a>
                                            </div>    
                                        </div>
                                </form>
                            </div>
                            <!-- /.card -->




                            <!-- form -->
                            <!-- <form method="post" class="form-inline" role="form" enctype="multipart/form-data">
                                {% csrf_token %}
                                {{ form.as_p }} -->

                            <!-- <select name="cliente" id="id_cliente" class="form-control" required>
                                    <option value="0">Seleccione al cliente..</option>
                                        
                                    {% for item in cliente %}
                                        <option value="{{ item.id }}" selected>{{ item.nombres }} {{ item.ap_paterno }} {{ item.ap_materno }}</option>
                                    {% endfor %}                                                        
                                </select>  -->
                            <!-- </div> -->
                            <!-- ./form -->
                        </div>
                        <!-- ./columna 2 -->

                        <!-- /.card -->
                        </form>
                        <!-- ./form -->
                    </div>
                </div>
            </div>
        </div>
</div>
</section>
<!-- /.container-fluid -->
</div>
<!-- /.content-header -->
{% endblock content %}

{% block js_page %}
<script>
    //Initialize Select2 Elements
    // carga del DOM
    $(function () {
        //Initialize Select2 Elements
        $('#id_cliente').select2()

        //Initialize Select2 Elements
        $('#id_cliente').select2({
            theme: 'bootstrap4'
        })

        $('#id_contador').select2()

        $('#id_contador').select2({
            theme: 'bootstrap4'
        })

    });
</script>
{% endblock js_page %}